## golang-1.24 1.24~rc2

=== debian/changelog ===
golang-1.24 (1.24~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24~rc2
  * Revert "Backport patch to fix tests using expired certificates"

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jan 2025 14:14:07 +0800

golang-1.24 (1.24~rc1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24~rc1
  * Bump minimal bootstrap Go version to 1.22
  * Backport patch to fix tests using expired certificates

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Jan 2025 14:33:53 +0800

golang-1.23 (1.23.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.4

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Dec 2024 08:34:52 +0800

golang-1.23 (1.23.3-2) unstable; urgency=medium

  * Team upload
  * Running regression autopkgtest with root

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Nov 2024 17:15:48 +0800

golang-1.23 (1.23.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.3
  * Switch to versioned golang-1.XX-go packages for building.
    Break circular loop with golang-defaults metapackage (Closes: #1081647)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Nov 2024 15:32:48 +0800

golang-1.23 (1.23.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.2

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Oct 2024 14:40:06 +0800

golang-1.23 (1.23.1-3) unstable; urgency=medium

  * Team upload
  * Increase timeout to 2h in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 12 Sep 2024 13:21:49 +0800

golang-1.23 (1.23.1-2) unstable; urgency=medium

  * Team upload
  * Increase timeout to 1h in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Sep 2024 14:05:33 +0800

golang-1.23 (1.23.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.1
    + CVE-2024-34155: go/parser: stack exhaustion in all Parse* functions
    + CVE-2024-34156: encoding/gob: stack exhaustion in Decoder.Decode
    + CVE-2024-34158: go/build/constraint: stack exhaustion in Parse

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Sep 2024 16:26:12 +0800

golang-1.23 (1.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 07:05:45 +0800

golang-1.23 (1.23~rc2-2) unstable; urgency=medium

  * Team upload
  * Increase test timeout in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Jul 2024 16:05:05 +0800

golang-1.23 (1.23~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23~rc2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 17 Jul 2024 16:34:37 +0800

golang-1.23 (1.23~rc1-1) unstable; urgency=medium

  * Team upload.

  [ Dr. Tobias Quathamer ]
  * Remove myself from Uploaders

  [ Shengjing Zhu ]
  * New upstream version 1.23~rc1
  * Replace pkg-config with pkgconf

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 02 Jul 2024 16:20:00 +0800

golang-1.22 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.4
    + CVE-2024-24789: archive/zip: mishandling of corrupt central directory
      record
    + CVE-2024-24790: net/netip: unexpected behavior from Is methods for
      IPv4-mapped IPv6 addresses

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Jun 2024 07:31:05 +0800

golang-1.22 (1.22.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.3
    + CVE-2024-24788: net: malformed DNS message can cause infinite loop

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 May 2024 17:11:30 +0800

golang-1.22 (1.22.2-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on s390x (LP: #2061742)
    https://github.com/golang/go/issues/64650

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Apr 2024 16:13:31 +0800

golang-1.22 (1.22.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.2
    + CVE-2023-45288: http2: close connections when receiving too many headers
  * Revert "Backport patch to fix external link on riscv64" (applied in 1.22.2)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Apr 2024 04:23:15 +0800

golang-1.22 (1.22.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.1
    + CVE-2024-24783: crypto/x509: Verify panics on certificates with an
      unknown public key algorithm
    + CVE-2023-45290: net/http: memory exhaustion in Request.ParseMultipartForm
    + CVE-2023-45289: net/http, net/http/cookiejar: incorrect forwarding of
      sensitive headers and cookies on HTTP redirect
    + CVE-2024-24785: html/template: errors returned from MarshalJSON methods
      may break template escaping
    + CVE-2024-24784: net/mail: comments in display names are incorrectly
      handled
  * Update upstream signing key
  * Backport patch to fix external link on riscv64 (Closes: #1065368)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 06 Mar 2024 15:09:10 +0800

golang-1.22 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on mips64le

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Feb 2024 17:08:17 +0800

golang-1.22 (1.22.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Feb 2024 16:57:04 +0800

golang-1.22 (1.22~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22~rc2
  * Bump bootstrap Go to 1.20.
    See https://github.com/golang/go/issues/54265
    gccgo only implements Go 1.18 and can't bootstrap Go 1.22 now.
  * Revert "Skip TestUser{Cache,Config}Dir when HOME is not writable"
    This reverts commit 5e8f93837a5d73a391fbbc278a34e5a89f84ca9b.
    Fixed by upstream https://github.com/golang/go/issues/64990

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 30 Jan 2024 17:15:39 +0800

golang-1.22 (1.22~rc1-2) unstable; urgency=medium

  * Skip TestUser{Cache,Config}Dir when HOME is not writable

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Jan 2024 21:26:23 +0800

golang-1.22 (1.22~rc1-1) unstable; urgency=medium

  * Team upload

