## golang-1.24 1.24~rc3

=== debian/changelog ===
golang-1.24 (1.24~rc3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24~rc3
    + CVE-2025-22866: crypto/elliptic: timing sidechannel for P-256 on ppc64le
    + CVE-2025-22867: cmd/go: arbitrary code execution during build on darwin

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Feb 2025 21:01:51 +0800
