## golang-1.24 1.24.0

=== debian/changelog ===
golang-1.24 (1.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 12 Feb 2025 03:00:57 +0800

golang-1.24 (1.24~rc3-2) unstable; urgency=medium

  * Team upload
  * Add binutils-gold to Build-Depends on arm64 (Closes: #1095697)
  * And binutils-gold to Depends for golang-X.Y-go on arm64

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 12 Feb 2025 02:18:15 +0800
