## golang-1.24 1.24.2

=== debian/changelog ===
golang-1.24 (1.24.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.2
    + CVE-2025-22871: net/http: request smuggling through invalid chunked data

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Apr 2025 14:56:38 +0800
