## golang-1.24 1.24.7

=== debian/changelog ===
golang-1.24 (1.24.7-1) unstable; urgency=medium

  * Update to 1.24.7 upstream release
    - 1.24.5
      - cmd/go: unexpected command execution in untrusted VCS repositories
        (CVE-2025-4674; https://go.dev/issue/74380; Closes: #1109109)
    - 1.24.6
      - os/exec: LookPath may return unexpected paths
        (CVE-2025-47906; https://go.dev/issue/74466; Closes: #1110947)
      - database/sql: incorrect results returned from Rows.Scan
        (CVE-2025-47907; https://go.dev/issue/74831; Closes: #1110949)
    - 1.24.7
      - net/http: CrossOriginProtection bypass patterns are over-broad
        (CVE-2025-47910; https://go.dev/issue/75054)

 -- Tianon Gravi <tianon@debian.org>  Sat, 27 Sep 2025 22:07:23 -0700

golang-1.24 (1.24.4-4) unstable; urgency=medium

  * Skip failing TSAN tests on riscv64 (Closes: #1112166)
  * Fix cgo on riscv64 internal linker issue (Closes: #1114841)

 -- Bo YU <vimer@debian.org>  Fri, 19 Sep 2025 21:09:50 -0700

golang-1.24 (1.24.4-3) unstable; urgency=medium

  * Set better CC defaults around arm* (native for arm*, armhf for others)
  * Clean up debian/helpers/goenv.sh (notably no more go1.16 support)

 -- Tianon Gravi <tianon@debian.org>  Mon, 18 Aug 2025 22:22:03 -0700

golang-1.24 (1.24.4-2) unstable; urgency=medium

  * Add support for cross-building natively (Closes: #1100436)
    - https://salsa.debian.org/go-team/compiler/golang/-/merge_requests/21

 -- Tianon Gravi <tianon@debian.org>  Mon, 18 Aug 2025 19:36:59 -0700
