## golang-1.24 1.24.9

=== debian/changelog ===
golang-1.24 (1.24.9-1) unstable; urgency=medium

  * Update to 1.24.9 upstream release
    https://go.dev/doc/devel/release#go1.24.9
    - fixes to the crypto/x509 package (https://go.dev/issue/75828)

 -- Tianon Gravi <tianon@debian.org>  Mon, 13 Oct 2025 16:06:48 -0700
