=== debian/rules ===
--- 
+++ 
@@ -109,6 +109,17 @@
 	# rm bootstrap dir
 	rm -rf $(CURDIR)/bootstrap
 
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	# cross-building!
+	# move "target" (host) tools to appropriate places for install
+	# and remove "native" (build) tools/packages
+	set -eux; \
+		eval "$$(debian/helpers/goenv.sh bin/go tool dist env)"; \
+		mv bin/$${GOOS}_$${GOARCH}/go* bin; \
+		rmdir bin/$${GOOS}_$${GOARCH}; \
+		rm -rf pkg/$${GOHOSTOS}_$${GOHOSTARCH} pkg/tool/$${GOHOSTOS}_$${GOHOSTARCH}/
+endif
+
 override_dh_auto_test-arch:
 	set -ex; \
 		cd src; \
@@ -128,6 +139,6 @@
 		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
 
 opt_no_act :=
-ifneq (,$(findstring n,$(MAKEFLAGS)))
+ifneq (,$(findstring n,$(firstword -$(MAKEFLAGS))))
 	opt_no_act := --no-act
 endif
