=== debian/control ===
--- 
+++ 
@@ -10,16 +10,14 @@
            Michael Hudson-Doyle <mwhudson@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: golang
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                binutils-gold [arm64],
                golang-1.24-go:native | golang-1.23-go:native | golang-1.22-go:native,
                netbase
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.24
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.24
 Homepage: https://go.dev/
-Rules-Requires-Root: no
 
 Package: golang-1.24-go
 Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
